<?php 	session_start();
    $_SESSION[ACAO]='COMPROVANTE';
	$dia=$_GET['dia'];
	$_SESSION[data_agendamento]=$dia;
	$_SESSION[hora_agendamento]=$_GET['hora'];

	$_SESSION[data_agendamento_imp]=$dia;
	$_SESSION[hora_agendamento_imp]=$_GET['hora'];
	$dataConvertida = InverteData($dia);
	
include("lib/conexao_sinsweb.php");
$sql="	SELECT codigo, data_hora
		FROM datas_homologacao
        WHERE cod_cancelamento = 0 and cod_agendamento = 0 and 
			substring(data_hora from 1 for 10) = '$dataConvertida' and 
			substring(data_hora from 12 for 5) = '$_GET[hora]'";

$query=mysql_query($sql,$conexao_sinsweb);
if(mysql_num_rows($query)>0)
	{
		$i=0;
		while(mysql_fetch_row($query))
			{
				$codigo_disponivel	 =mysql_result($query,$i,'codigo');
				$data_hora_disponivel=mysql_result($query,$i,'data_hora');
				$i++;
			}
	}
$_SESSION[data_agendamento]=$data_hora_disponivel;
$data=date('Y-m-d H:i');
$sql="	INSERT agendamento(data_cadastro, empresa, data_hora, trabalhador_nome, trabalhador_cpf, responsavel_nome, responsavel_telefone, responsavel_tipo, cod_datas_homologacao, cod_cancelamento)
		VALUES('$data', '$_SESSION[cnpj]', '$data_hora_disponivel', '$_SESSION[trabalhador_nome]', '$_SESSION[trabalhador_cpf]',  '$_SESSION[responsavel_nome]', '$_SESSION[responsavel_telefone]','$_SESSION[responsavel_tipo]', '$codigo_disponivel',0)";
$query=mysql_query($sql, $conexao_sinsweb) or die (header("Location:erro.php?txtmensagem="."ERRO NA GRAVACAO DO AGENDAMENTO<BR> <BR>FECHE SEU NAVEGADOR <BR> E INICIE O PROCESSO NOVAMENTE POR FAVOR!"));


//pegando o ID gerado pela consulta anterior
$_SESSION[num_agendamento] = mysql_insert_id($conexao_sinsweb); 
$sql="UPDATE datas_homologacao SET cod_agendamento = $_SESSION[num_agendamento] WHERE codigo = $codigo_disponivel";
$query=mysql_query($sql, $conexao_sinsweb);

header("Location:comprovante.php");

function InverteData($datafin)
{ 
  $conv1 = explode("/",$datafin); 
  $conv2 = array_reverse($conv1); 
  $saidata = implode("-",$conv2); 
  return $saidata;
}	
	
?>